import { TFunction } from "i18next";
import { ToastPermanence } from "../components/toaster/ThemedToaster";
import { EventTrackerFunction } from "../types";
export interface ErrorManagerOptions<T> {
    t?: TFunction;
    eventTracker?: EventTrackerFunction<T>;
    toastMessageTKey?: string;
    trackErrorEvent?: T;
    trackSuccessEvent?: T;
    toastPermanence?: ToastPermanence;
    toastLink?: {
        text: string;
        callback?: () => void;
        url?: string;
    };
    toastClosable?: boolean;
    toastDuration?: number;
}
export interface ReturnToastOptions {
    messageTKey?: string;
    translationCtx?: any;
    telemetryCtx?: any;
}
export declare type ThrowToastOptions = ReturnToastOptions;
/** a React hook for managing an error state */
export declare const useErrorManager: <T>(props: ErrorManagerOptions<T>) => {
    fatalError: Error | undefined;
    throwFatalError: (arg?: string | Error | undefined) => void;
    throwToast: (error: Error, throwOpts?: ReturnToastOptions) => void;
    returnToast: (returnOpts?: ReturnToastOptions) => void;
    catch: (promise: Promise<any>, opts?: ReturnToastOptions) => void;
};
